Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.uicreator
Class DefaultUICreator

    java.lang.Object
      tle.framework.component.impl.ComponentBase
          tle.framework.component.impl.uicreator.DefaultUICreator

All Implemented Interfaces:
  Component, ComponentMBean, DefaultUICreatorMBean, UICreator

    public class DefaultUICreator

extends ComponentBase
implements UICreator, DefaultUICreatorMBean

UICreator의 기본 구현 컴포넌트.

Since:
  2.0
Author:
  최범균

Field Summary
`static java.lang.String` | `VIEW_CONFIG_ATTRIBUTE_NAME`

Fields inherited from class tle.framework.component.impl.ComponentBase
`componentState, config`

Constructor Summary
`DefaultUICreator()`

Method Summary
`void` | `createAuthenticationForm(HttpServletRequest request, HttpServletResponse response)` 인증화면으로 이동한다.
`void` | `createErrorView(Result result, HttpServletRequest request, HttpServletResponse response)` 에러 페이지 화면으로 이동한다.
`void` | `createErrorView(java.lang.Throwable exception, HttpServletRequest request, HttpServletResponse response)` 에러 페이지 화면으로 이동한다.
`void` | `createNoAuthorizationView(RequestInfo ri, HttpServletRequest request, HttpServletResponse response)` 권한없다는 메시지를 보여주는 화면으로 이동한다.
`void` | `createView(Result result, HttpServletRequest request, HttpServletResponse response)` result의 결과 코드에 따라 알맞은 뷰로 이동한다.
`java.lang.String` | `getConfigFile()` 설정 파일의 경로를 구한다.
`protected void` | `initing(ComponentConfig config)` 설정 파일로부터 정보를 읽어와 UIConfiguration 객체를 생성한다.
`void` | `reloadConfiguration()` 설정 파일로부터 설정 정보를 다시 읽어온다.

Methods inherited from class tle.framework.component.impl.ComponentBase
`close, closing, getDescription, getID, getState, init, isClosed, isClosing, isCreated, isErrorOccured, isInited, isIniting, isResuming, isRunning, isStarting, isStopped, isStopping, isSuspended, isSuspending, resume, resuming, start, starting, stop, stopping, suspend, suspending`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface tle.framework.component.Component
`close, getID, init, isClosed, isClosing, isCreated, isErrorOccured, isInited, isIniting, isResuming, isRunning, isStarting, isStopped, isStopping, isSuspended, isSuspending, resume, start, stop, suspend`

Methods inherited from interface tle.framework.component.ComponentMBean
`getDescription, getID, getState`

Field Detail

### VIEW_CONFIG_ATTRIBUTE_NAME

    public static final java.lang.String VIEW_CONFIG_ATTRIBUTE_NAME

See Also:
  Constant Field Values

Constructor Detail

### DefaultUICreator

    public DefaultUICreator()

Method Detail

### initing

    protected void initing(ComponentConfig config)
                    throws ComponentException

  설정 파일로부터 정보를 읽어와 UIConfiguration 객체를 생성한다.

  설정 파일의 경로는 컴포넌트 초기화 파라미터 "configFile"에 명시한다.

  configFile 초기화 파라미터를 명시하지 않았을 경우 홈디렉토리의 "DefaultUICreator.xml" 파일을 사용한다.

  Overrides:
    `initing` in class `ComponentBase`
  Parameters:
    `config` - 컴포넌트 초기화 설정 정보를 담고 있는 객체
  Throws:
    `ComponentException`
  See Also:
    `ComponentBase.initing(tle.framework.component.ComponentConfig)`

### createView

    public void createView(Result result,
                           HttpServletRequest request,
                           HttpServletResponse response)
                    throws ComponentException

  result의 결과 코드에 따라 알맞은 뷰로 이동한다. result 인스턴스는 request의 "result" 속성에 저장된다.

  Specified by:
    `createView` in interface `UICreator`
  Parameters:
    `result` - 결과
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.
  See Also:
    `tle.framework.component.spi.uicreator.UICreator#createView(tle.framework.component.spi.rp.Result, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### createAuthenticationForm

    public void createAuthenticationForm(HttpServletRequest request,
                                         HttpServletResponse response)
                                  throws ComponentException

  인증화면으로 이동한다.

  Specified by:
    `createAuthenticationForm` in interface `UICreator`
  Parameters:
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.
  See Also:
    `tle.framework.component.spi.uicreator.UICreator#createAuthenticationForm(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### createNoAuthorizationView

    public void createNoAuthorizationView(RequestInfo ri,
                                          HttpServletRequest request,
                                          HttpServletResponse response)
                                   throws ComponentException

  권한없다는 메시지를 보여주는 화면으로 이동한다.

  Specified by:
    `createNoAuthorizationView` in interface `UICreator`
  Parameters:
    `ri` - 요청 분석 정보
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.
  See Also:
    `tle.framework.component.spi.uicreator.UICreator#createNoAuthorizationView(tle.framework.component.spi.ra.RequestInfo, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### createErrorView

    public void createErrorView(Result result,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws ComponentException

  에러 페이지 화면으로 이동한다.

  result 인스턴스는 request의 "result" 속성에 저장된다.

  result.getException()이 리턴하는 예외 객체를 request의 javax.servlet.error.exception 속성과 javax.servlet.jsp.jspException 속성에 저장한다.

  Specified by:
    `createErrorView` in interface `UICreator`
  Parameters:
    `result` - 결과
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.
  See Also:
    `tle.framework.component.spi.uicreator.UICreator#createErrorView(tle.framework.component.spi.rp.Result, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### createErrorView

    public void createErrorView(java.lang.Throwable exception,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws ComponentException

  에러 페이지 화면으로 이동한다.

  인자로 전달받은 Throwable 객체를 request의 javax.servlet.error.exception 속성과 javax.servlet.jsp.jspException 속성에 저장한다.

  Specified by:
    `createErrorView` in interface `UICreator`
  Parameters:
    `exception` - 예외
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `ComponentException` - 화면 생성 과정에서 문제가 있는 경우에 발생한다.
  See Also:
    `tle.framework.component.spi.uicreator.UICreator#createErrorView(java.lang.Throwable, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### getConfigFile

    public java.lang.String getConfigFile()

  Description copied from interface: `DefaultUICreatorMBean`
  설정 파일의 경로를 구한다.

  Specified by:
    `getConfigFile` in interface `DefaultUICreatorMBean`
  See Also:
    `DefaultUICreatorMBean.getConfigFile()`

### reloadConfiguration

    public void reloadConfiguration()
                             throws ComponentException

  설정 파일로부터 설정 정보를 다시 읽어온다.

  Specified by:
    `reloadConfiguration` in interface `DefaultUICreatorMBean`
  Throws:
    `ComponentException`
  See Also:
    `DefaultUICreatorMBean.reloadConfiguration()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD